#version 150
#extension GL_ARB_explicit_attrib_location : enable

in vec2 TexCoord; // From the geometry shader

in vec3 colOut;
uniform float interpolation;

uniform sampler2D texOne;
layout( location = 0 ) out vec4 FragColor;
void main()
{
float alpha = texture(texOne, TexCoord).a*colOut.x;
//if(colOut.x > 0.9) alpha = 0;
if(interpolation > 1.0) alpha = (2.0-interpolation)*alpha;
FragColor = vec4(vec3(0,0,0), alpha);
}